Package org.apache.commons.math3.analysis.interpolation

# Class BicubicSplineInterpolatingFunction

java.lang.Object
org.apache.commons.math3.analysis.interpolation.BicubicSplineInterpolatingFunction

All Implemented Interfaces:
  `BivariateFunction`

@Deprecated public class BicubicSplineInterpolatingFunction extends Object implements BivariateFunction
Deprecated.
as of 3.4 replaced by `PiecewiseBicubicSplineInterpolatingFunction`
Function that implements the bicubic spline interpolation. Due to numerical accuracy issues this should not be used.

Since:
  2.1

## Constructor Summary

Constructors
Constructor
Description
`BicubicSplineInterpolatingFunction(double[] x, double[] y, double[][] f, double[][] dFdX, double[][] dFdY, double[][] d2FdXdY)`
Deprecated.
`BicubicSplineInterpolatingFunction(double[] x, double[] y, double[][] f, double[][] dFdX, double[][] dFdY, double[][] d2FdXdY, boolean initializeDerivatives)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isValidPoint(double x, double y)`
Deprecated.
Indicates whether a point is within the interpolation range.
`double`
`partialDerivativeX(double x, double y)`
Deprecated.
`double`
`partialDerivativeXX(double x, double y)`
Deprecated.
`double`
`partialDerivativeXY(double x, double y)`
Deprecated.
`double`
`partialDerivativeY(double x, double y)`
Deprecated.
`double`
`partialDerivativeYY(double x, double y)`
Deprecated.
`double`
`value(double x, double y)`
Deprecated.
Compute the value for the function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BicubicSplineInterpolatingFunction

public BicubicSplineInterpolatingFunction(double[] x, double[] y, double[][] f, double[][] dFdX, double[][] dFdY, double[][] d2FdXdY) throws DimensionMismatchException, NoDataException, NonMonotonicSequenceException
Deprecated.

Parameters:
  `x` - Sample values of the x-coordinate, in increasing order.
  `y` - Sample values of the y-coordinate, in increasing order.
  `f` - Values of the function on every grid point.
  `dFdX` - Values of the partial derivative of function with respect to x on every grid point.
  `dFdY` - Values of the partial derivative of function with respect to y on every grid point.
  `d2FdXdY` - Values of the cross partial derivative of function on every grid point.
Throws:
  `DimensionMismatchException` - if the various arrays do not contain the expected number of elements.
  `NonMonotonicSequenceException` - if `x` or `y` are not strictly increasing.
  `NoDataException` - if any of the arrays has zero length.

### BicubicSplineInterpolatingFunction

public BicubicSplineInterpolatingFunction(double[] x, double[] y, double[][] f, double[][] dFdX, double[][] dFdY, double[][] d2FdXdY, boolean initializeDerivatives) throws DimensionMismatchException, NoDataException, NonMonotonicSequenceException
Deprecated.

Parameters:
  `x` - Sample values of the x-coordinate, in increasing order.
  `y` - Sample values of the y-coordinate, in increasing order.
  `f` - Values of the function on every grid point.
  `dFdX` - Values of the partial derivative of function with respect to x on every grid point.
  `dFdY` - Values of the partial derivative of function with respect to y on every grid point.
  `d2FdXdY` - Values of the cross partial derivative of function on every grid point.
  `initializeDerivatives` - Whether to initialize the internal data needed for calling any of the methods that compute the partial derivatives this function.
Throws:
  `DimensionMismatchException` - if the various arrays do not contain the expected number of elements.
  `NonMonotonicSequenceException` - if `x` or `y` are not strictly increasing.
  `NoDataException` - if any of the arrays has zero length.
See Also:
  - `partialDerivativeX(double,double)`
  - `partialDerivativeY(double,double)`
  - `partialDerivativeXX(double,double)`
  - `partialDerivativeYY(double,double)`
  - `partialDerivativeXY(double,double)`

## Method Details

### value

public double value(double x, double y) throws OutOfRangeException
Deprecated.
Compute the value for the function.

Specified by:
  `value` in interface `BivariateFunction`
Parameters:
  `x` - Abscissa for which the function value should be computed.
  `y` - Ordinate for which the function value should be computed.
Returns:
  the value.
Throws:
  `OutOfRangeException`

### isValidPoint

public boolean isValidPoint(double x, double y)
Deprecated.
Indicates whether a point is within the interpolation range.

Parameters:
  `x` - First coordinate.
  `y` - Second coordinate.
Returns:
  `true` if (x, y) is a valid point.
Since:
  3.3

### partialDerivativeX

public double partialDerivativeX(double x, double y) throws OutOfRangeException
Deprecated.

Parameters:
  `x` - x-coordinate.
  `y` - y-coordinate.
Returns:
  the value at point (x, y) of the first partial derivative with respect to x.
Throws:
  `OutOfRangeException` - if `x` (resp. `y`) is outside the range defined by the boundary values of `xval` (resp. `yval`).
  `NullPointerException` - if the internal data were not initialized (cf. `constructor`).

### partialDerivativeY

public double partialDerivativeY(double x, double y) throws OutOfRangeException
Deprecated.

Parameters:
  `x` - x-coordinate.
  `y` - y-coordinate.
Returns:
  the value at point (x, y) of the first partial derivative with respect to y.
Throws:
  `OutOfRangeException` - if `x` (resp. `y`) is outside the range defined by the boundary values of `xval` (resp. `yval`).
  `NullPointerException` - if the internal data were not initialized (cf. `constructor`).

### partialDerivativeXX

public double partialDerivativeXX(double x, double y) throws OutOfRangeException
Deprecated.

Parameters:
  `x` - x-coordinate.
  `y` - y-coordinate.
Returns:
  the value at point (x, y) of the second partial derivative with respect to x.
Throws:
  `OutOfRangeException` - if `x` (resp. `y`) is outside the range defined by the boundary values of `xval` (resp. `yval`).
  `NullPointerException` - if the internal data were not initialized (cf. `constructor`).

### partialDerivativeYY

public double partialDerivativeYY(double x, double y) throws OutOfRangeException
Deprecated.

Parameters:
  `x` - x-coordinate.
  `y` - y-coordinate.
Returns:
  the value at point (x, y) of the second partial derivative with respect to y.
Throws:
  `OutOfRangeException` - if `x` (resp. `y`) is outside the range defined by the boundary values of `xval` (resp. `yval`).
  `NullPointerException` - if the internal data were not initialized (cf. `constructor`).

### partialDerivativeXY

public double partialDerivativeXY(double x, double y) throws OutOfRangeException
Deprecated.

Parameters:
  `x` - x-coordinate.
  `y` - y-coordinate.
Returns:
  the value at point (x, y) of the second partial cross-derivative.
Throws:
  `OutOfRangeException` - if `x` (resp. `y`) is outside the range defined by the boundary values of `xval` (resp. `yval`).
  `NullPointerException` - if the internal data were not initialized (cf. `constructor`).